低危 OpenSSL模幂运算旁路攻击漏洞

CVE编号

CVE-2016-0702

利用情况

暂无

补丁情况

官方补丁

披露时间

2016-03-04 09:59:00
漏洞描述
OpenSSL是OpenSSL团队开发的一个开源的能够实现安全套接层(SSL v2/v3)和安全传输层(TLS v1)协议的通用加密库,它支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。
OpenSSL 1.0.2及之前版本和1.0.1及之前版本的Intel Sandy-Bridge微体系结构中存在安全漏洞。攻击者可利用该漏洞实施旁路攻击,恢复RSA密钥。
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
https://www.openssl.org/news/secadv/20160301.txt
参考链接
http://cachebleed.info
http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10759
http://lists.fedoraproject.org/pipermail/package-announce/2016-March/178358.html
http://lists.fedoraproject.org/pipermail/package-announce/2016-March/178817.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00001.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00002.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00003.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00004.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00005.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00006.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00007.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00009.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00010.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00012.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00025.html
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00038.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00015.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00017.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00018.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00029.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00030.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00036.html
http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00055.html
http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00019.html
http://marc.info/?l=bugtraq&m=145889460330120&w=2
http://openssl.org/news/secadv/20160301.txt
http://rhn.redhat.com/errata/RHSA-2016-2957.html
http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa...
http://www.debian.org/security/2016/dsa-3500
http://www.oracle.com/technetwork/security-advisory/cpuapr2016v3-2985753.html
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html
http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html
http://www.securitytracker.com/id/1035133
http://www.ubuntu.com/usn/USN-2914-1
https://git.openssl.org/?p=openssl.git;a=commit;h=708dc2f1291e104fe4eef810bb8...
https://h20566.www2.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr...
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_n...
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_n...
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_n...
https://kb.pulsesecure.net/articles/Pulse_Security_Advisories/SA40168
https://security.FreeBSD.org/advisories/FreeBSD-SA-16:12.openssl.asc
https://security.gentoo.org/glsa/201603-15
https://www.openssl.org/news/secadv/20160301.txt
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 openssl openssl 1.0.1 -
运行在以下环境
应用 openssl openssl 1.0.1 beta1 -
运行在以下环境
应用 openssl openssl 1.0.1 beta2 -
运行在以下环境
应用 openssl openssl 1.0.1 beta3 -
运行在以下环境
应用 openssl openssl 1.0.1a -
运行在以下环境
应用 openssl openssl 1.0.1b -
运行在以下环境
应用 openssl openssl 1.0.1c -
运行在以下环境
应用 openssl openssl 1.0.1d -
运行在以下环境
应用 openssl openssl 1.0.1e -
运行在以下环境
应用 openssl openssl 1.0.1f -
运行在以下环境
应用 openssl openssl 1.0.1g -
运行在以下环境
应用 openssl openssl 1.0.1h -
运行在以下环境
应用 openssl openssl 1.0.1i -
运行在以下环境
应用 openssl openssl 1.0.1j -
运行在以下环境
应用 openssl openssl 1.0.1k -
运行在以下环境
应用 openssl openssl 1.0.1l -
运行在以下环境
应用 openssl openssl 1.0.1m -
运行在以下环境
应用 openssl openssl 1.0.1n -
运行在以下环境
应用 openssl openssl 1.0.1o -
运行在以下环境
应用 openssl openssl 1.0.1p -
运行在以下环境
应用 openssl openssl 1.0.1q -
运行在以下环境
应用 openssl openssl 1.0.1r -
运行在以下环境
应用 openssl openssl 1.0.2 -
运行在以下环境
应用 openssl openssl 1.0.2 beta1 -
运行在以下环境
应用 openssl openssl 1.0.2 beta2 -
运行在以下环境
应用 openssl openssl 1.0.2 beta3 -
运行在以下环境
应用 openssl openssl 1.0.2a -
运行在以下环境
应用 openssl openssl 1.0.2b -
运行在以下环境
应用 openssl openssl 1.0.2c -
运行在以下环境
应用 openssl openssl 1.0.2d -
运行在以下环境
应用 openssl openssl 1.0.2e -
运行在以下环境
应用 openssl openssl 1.0.2f -
2
运行在以下环境
系统 redhat_7 openssl * Up to
(excluding)
0:1.0.1e-42.el6_7.4
运行在以下环境
系统 debian DPKG * Up to
(excluding)
1.0.2g-1
运行在以下环境
系统 ubuntu_16.04_lts openssl * Up to
(excluding)
1.0.2g-1ubuntu2
运行在以下环境
系统 ubuntu_14.04_lts openssl * Up to
(excluding)
1.0.1f-1ubuntu2.18
运行在以下环境
系统 ubuntu_12.04_lts openssl * Up to
(excluding)
1.0.1-4ubuntu5.35
运行在以下环境
系统 ubuntu_18.04_lts openssl * Up to
(excluding)
1.0.2g-1ubuntu2
运行在以下环境
系统 ubuntu_18.10 openssl * Up to
(excluding)
1.0.2g-1ubuntu2
运行在以下环境
系统 suse_12 libopenssl-devel * Up to
(excluding)
1.0.2j-55
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-200 信息暴露
阿里云安全产品覆盖情况